Webhook Event ReferencePayments
transaction.updated
Triggers when a payment transaction is updated.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/transaction.updated{
"api_version": "2024-04-01",
"data": {
"amount": "0.00",
"amount_available_for_refund": "0.00",
"attribution": {
"affiliate": null,
"agent": {
"email": null,
"first_name": "string",
"id": 0,
"last_name": "string"
},
"funnel": null,
"gclid": null,
"metadata": {},
"subaffiliate1": null,
"subaffiliate2": null,
"subaffiliate3": null,
"subaffiliate4": null,
"subaffiliate5": null,
"utm_campaign": null,
"utm_content": null,
"utm_medium": null,
"utm_source": null,
"utm_term": null
},
"auth_code": null,
"currency": null,
"date_created": "2024-01-01T00:00:00Z",
"external_id": null,
"id": 0,
"initiator": {
"email": null,
"first_name": "string",
"id": 0,
"last_name": "string"
},
"is_disputed": false,
"is_external": false,
"is_test": null,
"network_transaction_id": null,
"order": null,
"parent_id": null,
"payment_details": {
"bankcard_first_six": null,
"bankcard_last_four": null,
"card_token": "string",
"gateway": {
"id": 0,
"name": "string",
"type": "string"
},
"is_3ds": false,
"optimized_3ds": false,
"paypal_vault_id": "string",
"sca_flow": "string"
},
"payment_method": null,
"report_values": {
"amount": "0.00",
"currency": "string"
},
"response_code": 0,
"statement_descriptor": null,
"status": "string",
"subscription": {
"billing_cycle": null,
"id": 0
},
"type": "string",
"user": {
"accepts_marketing": false,
"email": null,
"first_name": "string",
"id": 0,
"ip": null,
"language": null,
"last_name": "string",
"phone_number": null,
"user_agent": null
}
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "transaction.updated",
"object": "transaction",
"webhook": {
"events": [
"transaction.updated"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}